Edit

Items - Get Event Schema Set Definition

Returns the specified EventSchemaSet definition.

Note

EventSchemaSets item is currently in Preview (learn more).

This API supports long running operations (LRO).

When you get a EventSchemaSet's public definition, the sensitivity label is not a part of the definition.

Permissions

The caller must have read and write permissions for the workspace role.

Required Delegated Scopes

Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities No

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/eventSchemaSets/{eventSchemaSetId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/eventSchemaSets/{eventSchemaSetId}/getDefinition?format={format}

URI Parameters

Name In Required Type Description
eventSchemaSetId
path True

string (uuid)

The EventSchemaSet ID.

workspaceId
path True

string (uuid)

The workspace ID.

format
query

string

The format of the EventSchemaSet public definition.

Responses

Name Type Description
200 OK

EventSchemaSetDefinitionResponse

Request completed successfully.

202 Accepted

Request accepted. Retrieving the definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • OperationNotSupportedForItem - Operation not supported for requested item.

Examples

Get a EventSchemaSet public definition example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/6e335e92-a2a2-4b5a-970a-bd6a89fbb765/eventSchemaSets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/getDefinition

Sample response

{
  "definition": {
    "parts": [
      {
        "path": "EventSchemaSetV1.json",
        "payload": "ew0KICAiZXhlY3V0YW..OWRmNDhhY2ZmZTgifQ",
        "payloadType": "InlineBase64"
      },
      {
        "path": ".platform",
        "payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
        "payloadType": "InlineBase64"
      }
    ]
  }
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

EventSchemaSetDefinitionResponse

EventSchemaSet public definition response.

EventSchemaSetPublicDefinition

EventSchemaSet public definition object. Refer to this article for more details on the structure of the EventSchemaSet definition.

EventSchemaSetPublicDefinitionPart

EventSchemaSet definition part object.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

EventSchemaSetDefinitionResponse

EventSchemaSet public definition response.

Name Type Description
definition

EventSchemaSetPublicDefinition

EventSchemaSet public definition object. Refer to this article for more details on the structure of the EventSchemaSet definition.

EventSchemaSetPublicDefinition

EventSchemaSet public definition object. Refer to this article for more details on the structure of the EventSchemaSet definition.

Name Type Description
format

api.fabric.microsoft.com.v1.fabric.eventschemaset.items.geteventschemasetdefinition

The format of the event schema set definition.

parts

EventSchemaSetPublicDefinitionPart[]

A list of definition parts.

EventSchemaSetPublicDefinitionPart

EventSchemaSet definition part object.

Name Type Description
path

string

The EventSchemaSet public definition part path.

payload

string

The EventSchemaSet public definition part payload.

payloadType

PayloadType

The payload type.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

Value Description
InlineBase64

Inline Base 64.